@import "./../../../assets/styles/variables";

.service-wrapper {
  width: 100%;
  height: 100%;
  color: #47545A;

  font-size: $default-font-size;
  font-weight: 600;
  line-height: 18px;
  padding-left: 29px;
  .table-top {
    &--row {
      display: flex;
      flex-direction: row;
      align-items: center;
      margin-bottom: 15px;
      position: relative;
      &__col1 {
        width: 30%;
        display: flex;
        flex-direction: row;
        align-items: center;
      }
      &__col2 {
        width: 60%;
        display: flex;
        flex-direction: row;
        align-items: center;

        &--left {
          display: flex;
          flex-direction: row;
          width: 45%;
        }
      }
      &__checkbox {
        left: 170px;
        position: absolute;
      }

      .join-rows {
        width: 2px;
        background-color: #3686D8;
        position: absolute;
        left: 190px;
        height: 10px;
      }
      .hor-branch {
        position: absolute;
        left: 190px;
        width: 23px;
        height: 2px;
        background-color: #3686D8;
      }
    }
  }
  .done-button {
    color: #FFFFFF;

    font-size: $default-font-size;
    font-weight: 600;
    line-height: 19px;
    text-align: center;
    height: 40px;
    width: 120px;
    border-radius: 4px;
    background-color: #4687D6;
  }
  .button-color {
    display: flex;
    flex-direction: row;
    padding: 8px;
    width: 48.98px;
    background-color: #F8FAFC;
    border: 1px solid #CED0DA;
    border-radius: 4px;
    .color-input {
      border: 1px solid #CED0DA;
      width: 17px;
      height: 17px;
    }
    &:hover {
      cursor: pointer;
    }
  }
  .absolute {
    position: absolute;
    z-index: 10;
  }
  .button {
    margin-left: 10px;
  }

  .add-payer {
    color: #4687D6;

    font-size: $default-font-size;
    font-weight: 600;
    line-height: 18px;
  }

  .top-panel {
    display: flex;
    height: 62px;
    width: 100%;
    background-color: #FFFFFF;
    padding: 0px 36px;
    align-items: center;
    justify-content: space-between;

    &--staff-menu {
      color: #596372;

      font-size: $default-font-size;
      font-weight: 600;
      line-height: 18px;

      width: 240px;
      border: 1px solid #DADFEA;
      border-radius: 4px;
      background-color: #FFFFFF;
      box-shadow: 0 2px 4px 3px rgba(0, 0, 0, 0.13);
      position: absolute;
      right: 0px;
      top: 40px;
      z-index: 3;
      &--item {
        height: 43px;
        display: flex;
        align-items: center;
        padding-left: 16px;
        border-bottom: 1px solid #DADFEA;;
      }
      &--icon {
        margin-right: 10px;
      }
    }

    &--agenda {

      align-items: center;
      display: flex;
      height: 100%;
      color: #6A7B92;

      font-size: $default-font-size-plus-3;
      font-weight: 600;
      line-height: 22px;

      &:hover {
        cursor: pointer;
      }
    }
  }

}
